Package org.apache.struts2

# Class XWorkTestCase

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
org.apache.struts2.XWorkTestCase

All Implemented Interfaces:
  `junit.framework.Test`

public abstract class XWorkTestCase extends junit.framework.TestCase
Base JUnit TestCase to extend for XWork specific JUnit tests. Uses the generic test setup for logic.

Author:
  plightbo

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ActionProxyFactory`
  `actionProxyFactory`
  `protected Configuration`
  `configuration`
  `protected ConfigurationManager`
  `configurationManager`
  `protected Container`
  `container`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XWorkTestCase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Map<String,Object>`
  `createContextWithLocale(Locale locale)`
  `protected <T> void`
  `loadButAdd(Class<T> type, String name, T impl)`
  `protected <T> void`
  `loadButAdd(Class<T> type, T impl)`
  `protected void`
  `loadButSet(Map<String,?> properties)`
  `protected void`
  `loadConfigurationProviders(ConfigurationProvider... providers)`
  `protected void`
  `setStrutsConstant(String constant, String value)`
  `protected void`
  `setStrutsConstant(Map<String,String> overwritePropeties)`
  `protected void`
  `setUp()`
  `protected void`
  `tearDown()`

  ### Methods inherited from class junit.framework.TestCase

  `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### configurationManager

    protected ConfigurationManager configurationManager

  - ### configuration

    protected Configuration configuration

  - ### container

    protected Container container

  - ### actionProxyFactory

    protected ActionProxyFactory actionProxyFactory

- ## Constructor Details

  - ### XWorkTestCase

    public XWorkTestCase()

- ## Method Details

  - ### setUp

    protected void setUp() throws Exception
    Overrides:
      `setUp` in class `junit.framework.TestCase`
    Throws:
      `Exception`

  - ### tearDown

    protected void tearDown() throws Exception
    Overrides:
      `tearDown` in class `junit.framework.TestCase`
    Throws:
      `Exception`

  - ### loadConfigurationProviders

    protected void loadConfigurationProviders(ConfigurationProvider... providers)

  - ### loadButSet

    protected void loadButSet(Map<String,?> properties)

  - ### loadButAdd

    protected <T> void loadButAdd(Class<T> type, T impl)

  - ### loadButAdd

    protected <T> void loadButAdd(Class<T> type, String name, T impl)

  - ### createContextWithLocale

    protected Map<String,Object> createContextWithLocale(Locale locale)

  - ### setStrutsConstant

    protected void setStrutsConstant(String constant, String value)

  - ### setStrutsConstant

    protected void setStrutsConstant(Map<String,String> overwritePropeties)